
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLAY_SCAN_H
#define PLAY_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/playPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_PLAY_BUMPERS_POSTER_STR (char** buf, struct PLAY_BUMPERS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PLAY_SONARSCART_POSTER_STR (char** buf, struct PLAY_SONARSCART_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PLAY_POMSICK_POSTER_STR (char** buf, struct PLAY_POMSICK_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PLAY_POM_POSTER_STR (char** buf, struct PLAY_POM_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PLAY_POSITION_POSTER_STR (char** buf, struct PLAY_POSITION_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PLAY_STR (char** buf, struct PLAY_STR *x, int nDim, int *dims );
int scan_buf_struct_PLAY_BUMPERS (char** buf, struct PLAY_BUMPERS *x, int nDim, int *dims );
int scan_buf_struct_PLAY_SONARS (char** buf, struct PLAY_SONARS *x, int nDim, int *dims );
int scan_buf_struct_PLAY_SENSORS_HEADER (char** buf, struct PLAY_SENSORS_HEADER *x, int nDim, int *dims );
int scan_buf_struct_PLAY_SPEED (char** buf, struct PLAY_SPEED *x, int nDim, int *dims );
int scan_buf_struct_PLAY_CONFIG (char** buf, struct PLAY_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_PLAY_POS (char** buf, struct PLAY_POS *x, int nDim, int *dims );
int scan_buf_struct_PLAY_POINT (char** buf, struct PLAY_POINT *x, int nDim, int *dims );
int scan_buf_struct_PLAY_STATUS (char** buf, struct PLAY_STATUS *x, int nDim, int *dims );
int scan_buf_struct_PLAY_CONNECT (char** buf, struct PLAY_CONNECT *x, int nDim, int *dims );
int scan_buf_enum_PLAY_BOOL (char** buf, enum PLAY_BOOL *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_PLAY_BOOL (char** buf, PLAY_BOOL *x, int nDim, int *dims );
int scan_buf_PLAY_CONNECT (char** buf, PLAY_CONNECT *x, int nDim, int *dims );
int scan_buf_PLAY_STATUS (char** buf, PLAY_STATUS *x, int nDim, int *dims );
int scan_buf_PLAY_POINT (char** buf, PLAY_POINT *x, int nDim, int *dims );
int scan_buf_PLAY_POS (char** buf, PLAY_POS *x, int nDim, int *dims );
int scan_buf_PLAY_CONFIG (char** buf, PLAY_CONFIG *x, int nDim, int *dims );
int scan_buf_PLAY_SPEED (char** buf, PLAY_SPEED *x, int nDim, int *dims );
int scan_buf_PLAY_SENSORS_HEADER (char** buf, PLAY_SENSORS_HEADER *x, int nDim, int *dims );
int scan_buf_PLAY_SONARS (char** buf, PLAY_SONARS *x, int nDim, int *dims );
int scan_buf_PLAY_BUMPERS (char** buf, PLAY_BUMPERS *x, int nDim, int *dims );
int scan_buf_PLAY_STR (char** buf, PLAY_STR *x, int nDim, int *dims );
int scan_buf_PLAY_POSITION_POSTER_STR (char** buf, PLAY_POSITION_POSTER_STR *x, int nDim, int *dims );
int scan_buf_PLAY_POM_POSTER_STR (char** buf, PLAY_POM_POSTER_STR *x, int nDim, int *dims );
int scan_buf_PLAY_POMSICK_POSTER_STR (char** buf, PLAY_POMSICK_POSTER_STR *x, int nDim, int *dims );
int scan_buf_PLAY_SONARSCART_POSTER_STR (char** buf, PLAY_SONARSCART_POSTER_STR *x, int nDim, int *dims );
int scan_buf_PLAY_BUMPERS_POSTER_STR (char** buf, PLAY_BUMPERS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* PLAY_SCAN_H */

