
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] playInstall] >= 0 } {
    interp expose {} playInstall
}

proc ::playInstall { name } {
    foreach rqst { "Connect" "GetConnect" "GetStatus" "Motors" "SpeedRef" "Stop" "TrackSpeed" "Sonars" "Bumpers" "Laser" "PositionPosPosterRead" "PomMEPosPosterRead" "PomSickSEPosPosterRead" "SonarsCartHeaderPosterRead" "SonarsCartEchosRobPosterRead" "SonarsCartEchosGlobPosterRead" "BumpersbumpersPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} play$rqst $name
    }
}

interp hide {} playInstall




# Connect ----------------------------------------------------------

if { [lsearch [interp hidden] playConnect] >= 0 } {
    interp expose {} playConnect
}
if { [lsearch [interp hidden] playConnectFormatOutput] >= 0 } {
    interp expose {} playConnectFormatOutput
}

proc ::playConnect { name args } {
    set format {}
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "TRUE:connect, FALSE:disconnect" "PLAY_TRUE" ]
    lappend format [list int "player port" 6665 ]
    lappend format [list string "player host" "localhost" ]

    return [ ::cs::rqstSend "${name}" "Connect" \
	"Connect to player server" \
	"PLAY_CONNECT\n| PLAY_BOOL connect\n| int port\n| char host\[64\]\n" \
	3 \
	$format \
	$args ]
}


proc ::playConnectFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playConnect
interp hide {} playConnectFormatOutput





# GetConnect ----------------------------------------------------------

if { [lsearch [interp hidden] playGetConnect] >= 0 } {
    interp expose {} playGetConnect
}
if { [lsearch [interp hidden] playGetConnectFormatOutput] >= 0 } {
    interp expose {} playGetConnectFormatOutput
}

proc ::playGetConnect { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetConnect" \
	"Gets connection parameters" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::playGetConnectFormatOutput { list } {
    set format { {} status { } { connect { } connect { } port { } host } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playGetConnect
interp hide {} playGetConnectFormatOutput





# GetStatus ----------------------------------------------------------

if { [lsearch [interp hidden] playGetStatus] >= 0 } {
    interp expose {} playGetStatus
}
if { [lsearch [interp hidden] playGetStatusFormatOutput] >= 0 } {
    interp expose {} playGetStatusFormatOutput
}

proc ::playGetStatus { name args } {
    set format {}
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "status.connectedFlag" "" ]
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "status.motorsFlag" "" ]
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "status.sonarsFlag" "" ]
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "status.bumpersFlag" "" ]
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "status.laserFlag" "" ]
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "status.unused" "" ]

    return [ ::cs::rqstSend "${name}" "GetStatus" \
	"Get curent connexion status with player server" \
	"PLAY_STATUS\n| PLAY_BOOL connectedFlag\n| PLAY_BOOL motorsFlag\n| PLAY_BOOL sonarsFlag\n| PLAY_BOOL bumpersFlag\n| PLAY_BOOL laserFlag\n| PLAY_BOOL unused\n" \
	6 \
	$format \
	$args ]
}


proc ::playGetStatusFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playGetStatus
interp hide {} playGetStatusFormatOutput





# Motors ----------------------------------------------------------

if { [lsearch [interp hidden] playMotors] >= 0 } {
    interp expose {} playMotors
}
if { [lsearch [interp hidden] playMotorsFormatOutput] >= 0 } {
    interp expose {} playMotorsFormatOutput
}

proc ::playMotors { name args } {
    set format {}
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "TRUE: motors on, FALSE: motors off" "PLAY_TRUE" ]

    return [ ::cs::rqstSend "${name}" "Motors" \
	"Pouts motors on/off" \
	"PLAY_BOOL motorsFlag\n" \
	1 \
	$format \
	$args ]
}


proc ::playMotorsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playMotors
interp hide {} playMotorsFormatOutput





# SpeedRef ----------------------------------------------------------

if { [lsearch [interp hidden] playSpeedRef] >= 0 } {
    interp expose {} playSpeedRef
}
if { [lsearch [interp hidden] playSpeedRefFormatOutput] >= 0 } {
    interp expose {} playSpeedRefFormatOutput
}

proc ::playSpeedRef { name args } {
    set format {}
    lappend format [list double "linear speed in m/s" 0 ]
    lappend format [list double "angular speed in rd/s" 0 ]

    return [ ::cs::rqstSend "${name}" "SpeedRef" \
	"Only for debug: Moves the robot according to given (v,w) speeds. Becarefull to keep hand to send Stop!" \
	"PLAY_SPEED\n| double v\n| double w\n" \
	2 \
	$format \
	$args ]
}


proc ::playSpeedRefFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playSpeedRef
interp hide {} playSpeedRefFormatOutput





# Stop ----------------------------------------------------------

if { [lsearch [interp hidden] playStop] >= 0 } {
    interp expose {} playStop
}
if { [lsearch [interp hidden] playStopFormatOutput] >= 0 } {
    interp expose {} playStopFormatOutput
}

proc ::playStop { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Stop" \
	"Stops motion" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::playStopFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playStop
interp hide {} playStopFormatOutput





# TrackSpeed ----------------------------------------------------------

if { [lsearch [interp hidden] playTrackSpeed] >= 0 } {
    interp expose {} playTrackSpeed
}
if { [lsearch [interp hidden] playTrackSpeedFormatOutput] >= 0 } {
    interp expose {} playTrackSpeedFormatOutput
}

proc ::playTrackSpeed { name args } {
    set format {}
    lappend format [list string "Name of the poster to read speed values" "awaySpeedRef" ]

    return [ ::cs::rqstSend "${name}" "TrackSpeed" \
	"Speed Tracking" \
	"GEN_STRING64\n| char name\[64\]\n" \
	1 \
	$format \
	$args ]
}


proc ::playTrackSpeedFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playTrackSpeed
interp hide {} playTrackSpeedFormatOutput





# Sonars ----------------------------------------------------------

if { [lsearch [interp hidden] playSonars] >= 0 } {
    interp expose {} playSonars
}
if { [lsearch [interp hidden] playSonarsFormatOutput] >= 0 } {
    interp expose {} playSonarsFormatOutput
}

proc ::playSonars { name args } {
    set format {}
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "TRUE: sonars on, FALSE: off" "PLAY_TRUE" ]

    return [ ::cs::rqstSend "${name}" "Sonars" \
	"Activates or desactivates the sonars" \
	"PLAY_BOOL sonarsFlag\n" \
	1 \
	$format \
	$args ]
}


proc ::playSonarsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playSonars
interp hide {} playSonarsFormatOutput





# Bumpers ----------------------------------------------------------

if { [lsearch [interp hidden] playBumpers] >= 0 } {
    interp expose {} playBumpers
}
if { [lsearch [interp hidden] playBumpersFormatOutput] >= 0 } {
    interp expose {} playBumpersFormatOutput
}

proc ::playBumpers { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Bumpers" \
	"Monitors the bumpers. Returns if chock." \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::playBumpersFormatOutput { list } {
    set format { {} status { } bumperNum }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playBumpers
interp hide {} playBumpersFormatOutput





# Laser ----------------------------------------------------------

if { [lsearch [interp hidden] playLaser] >= 0 } {
    interp expose {} playLaser
}
if { [lsearch [interp hidden] playLaserFormatOutput] >= 0 } {
    interp expose {} playLaserFormatOutput
}

proc ::playLaser { name args } {
    set format {}
    lappend format [list { "PLAY_TRUE" "PLAY_FALSE" } "TRUE: on, FALSE: off" "PLAY_TRUE" ]

    return [ ::cs::rqstSend "${name}" "Laser" \
	"Switch laser on/off (OUT OF ORDER)" \
	"PLAY_BOOL laserFlag\n" \
	1 \
	$format \
	$args ]
}


proc ::playLaserFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playLaser
interp hide {} playLaserFormatOutput





# PositionPos ----------------------------------------------------------

if { [lsearch [interp hidden] playPositionPosPosterRead] >= 0 } {
    interp expose {} playPositionPosPosterRead
}
if { [lsearch [interp hidden] playPositionPosPosterFormatOutput] >= 0 } {
    interp expose {} playPositionPosPosterFormatOutput
}

proc ::playPositionPosPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PositionPos" \
	"PLAY_CONFIG\n| double x\n| double y\n| double theta\n| double v\n| double w\n" \
	$args ]
}


proc ::playPositionPosPosterFormatOutput { list } {
    set format { {} status { } { Pos { } x { } y { } theta { } v { } w } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playPositionPosPosterRead
interp hide {} playPositionPosPosterFormatOutput





# PomMEPos ----------------------------------------------------------

if { [lsearch [interp hidden] playPomMEPosPosterRead] >= 0 } {
    interp expose {} playPomMEPosPosterRead
}
if { [lsearch [interp hidden] playPomMEPosPosterFormatOutput] >= 0 } {
    interp expose {} playPomMEPosPosterFormatOutput
}

proc ::playPomMEPosPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PomMEPos" \
	"POM_ME_POS\n| POM_ME_CLASS kind\n| int unused\n| double confidence\n| int date1\n| int date2\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n" \
	$args ]
}


proc ::playPomMEPosPosterFormatOutput { list } {
    set format { {} status { } { MEPos { } kind { } unused { } confidence { } date1 { } date2 { } { main { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playPomMEPosPosterRead
interp hide {} playPomMEPosPosterFormatOutput





# PomSickSEPos ----------------------------------------------------------

if { [lsearch [interp hidden] playPomSickSEPosPosterRead] >= 0 } {
    interp expose {} playPomSickSEPosPosterRead
}
if { [lsearch [interp hidden] playPomSickSEPosPosterFormatOutput] >= 0 } {
    interp expose {} playPomSickSEPosPosterFormatOutput
}

proc ::playPomSickSEPosPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PomSickSEPos" \
	"POM_SENSOR_POS\n| int date\n| int pad\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n" \
	$args ]
}


proc ::playPomSickSEPosPosterFormatOutput { list } {
    set format { {} status { } { SEPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playPomSickSEPosPosterRead
interp hide {} playPomSickSEPosPosterFormatOutput





# SonarsCartHeader ----------------------------------------------------------

if { [lsearch [interp hidden] playSonarsCartHeaderPosterRead] >= 0 } {
    interp expose {} playSonarsCartHeaderPosterRead
}
if { [lsearch [interp hidden] playSonarsCartHeaderPosterFormatOutput] >= 0 } {
    interp expose {} playSonarsCartHeaderPosterFormatOutput
}

proc ::playSonarsCartHeaderPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "SonarsCartHeader" \
	"PLAY_SENSORS_HEADER\n| int time\n| int nbSensors\n| PLAY_CONFIG\n| | double x\n| | double y\n| | double theta\n| | double v\n| | double w\n| PLAY_CONFIG\n| | double x\n| | double y\n| | double theta\n| | double v\n| | double w\n" \
	$args ]
}


proc ::playSonarsCartHeaderPosterFormatOutput { list } {
    set format { {} status { } { Header { } time { } nbSensors { } { robotPosOdo { } x { } y { } theta { } v { } w } { } { robotPosGlob { } x { } y { } theta { } v { } w } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playSonarsCartHeaderPosterRead
interp hide {} playSonarsCartHeaderPosterFormatOutput





# SonarsCartEchosRob ----------------------------------------------------------

if { [lsearch [interp hidden] playSonarsCartEchosRobPosterRead] >= 0 } {
    interp expose {} playSonarsCartEchosRobPosterRead
}
if { [lsearch [interp hidden] playSonarsCartEchosRobPosterFormatOutput] >= 0 } {
    interp expose {} playSonarsCartEchosRobPosterFormatOutput
}

proc ::playSonarsCartEchosRobPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "SonarsCartEchosRob" \
	"PLAY_POINT\n| double x\n| double y\n" \
	$args ]
}


proc ::playSonarsCartEchosRobPosterFormatOutput { list } {
    set format { {} status { 16 } { EchosRob { } x { } y } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playSonarsCartEchosRobPosterRead
interp hide {} playSonarsCartEchosRobPosterFormatOutput





# SonarsCartEchosGlob ----------------------------------------------------------

if { [lsearch [interp hidden] playSonarsCartEchosGlobPosterRead] >= 0 } {
    interp expose {} playSonarsCartEchosGlobPosterRead
}
if { [lsearch [interp hidden] playSonarsCartEchosGlobPosterFormatOutput] >= 0 } {
    interp expose {} playSonarsCartEchosGlobPosterFormatOutput
}

proc ::playSonarsCartEchosGlobPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "SonarsCartEchosGlob" \
	"PLAY_POINT\n| double x\n| double y\n" \
	$args ]
}


proc ::playSonarsCartEchosGlobPosterFormatOutput { list } {
    set format { {} status { 16 } { EchosGlob { } x { } y } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playSonarsCartEchosGlobPosterRead
interp hide {} playSonarsCartEchosGlobPosterFormatOutput





# Bumpersbumpers ----------------------------------------------------------

if { [lsearch [interp hidden] playBumpersbumpersPosterRead] >= 0 } {
    interp expose {} playBumpersbumpersPosterRead
}
if { [lsearch [interp hidden] playBumpersbumpersPosterFormatOutput] >= 0 } {
    interp expose {} playBumpersbumpersPosterFormatOutput
}

proc ::playBumpersbumpersPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "Bumpersbumpers" \
	"PLAY_BUMPERS\n| PLAY_SENSORS_HEADER\n| | int time\n| | int nbSensors\n| | PLAY_CONFIG\n| | | double x\n| | | double y\n| | | double theta\n| | | double v\n| | | double w\n| | PLAY_CONFIG\n| | | double x\n| | | double y\n| | | double theta\n| | | double v\n| | | double w\n| PLAY_BOOL bump\[10\]\n" \
	$args ]
}


proc ::playBumpersbumpersPosterFormatOutput { list } {
    set format { {} status { } { bumpers { } { header { } time { } nbSensors { } { robotPosOdo { } x { } y { } theta { } v { } w } { } { robotPosGlob { } x { } y { } theta { } v { } w } } { 10 } bump } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} playBumpersbumpersPosterRead
interp hide {} playBumpersbumpersPosterFormatOutput


